/*
 * Copyright Statement: CONFIDENTIAL -- Copyright 2012 Intuit Inc. This material contains certain trade secrets and
 * confidential and proprietary information of Intuit Inc. Use, reproduction, disclosure and distribution by any means
 * are prohibited, except pursuant to a written license from Intuit Inc. Use of copyright notice is precautionary and
 * does not imply publication or disclosure.
 */
package com.intuit.sbfinance.json;




public class JsonUtils {

    public static String getClassName(Object obj) {
        if (obj == null) {
            return null;
        }
        return obj.getClass().getName().substring(obj.getClass().getPackage().getName().length() + 1);
    }

    public static final String SERVICE_V3_PACKAGE_NAME = "com.intuit.schema.finance.v3";
    public static Class<?> getServiceV3EntityClass(String entityName) {
        try {
            return Class.forName(SERVICE_V3_PACKAGE_NAME + "." + entityName);
        } catch (ClassNotFoundException e) {
            // log info only, this is most likely due to wrong JSON input
           // Log.info(ServiceUtils.class, e);
        }
        return null;
    }
}
