package com.intuit.sb.payroll.capability.workerpayments.impl.calcengine;

import java.util.HashMap;
import java.util.Map;

import com.intuit.payroll.canada.enumtype.Province;

@SuppressWarnings("nls")
public class ProvinceMapper extends NationalRegionMapper
{
	private static Map<String, Province> regionMap = new HashMap<String, Province>();

	static {
		regionMap.put("AB", Province.AB); //$NON-NLS-1$
		regionMap.put("BC", Province.BC); //$NON-NLS-1$
		regionMap.put("MB", Province.MB); //$NON-NLS-1$
		regionMap.put("NB", Province.NB); //$NON-NLS-1$
		
		// Newfoundland and Labrador is now "NL", not "NF"
		regionMap.put("NL", Province.NF); //$NON-NLS-1$
		
		regionMap.put("NS", Province.NS); //$NON-NLS-1$
		regionMap.put("NT", Province.NT); //$NON-NLS-1$
		regionMap.put("NU", Province.NU); //$NON-NLS-1$
		regionMap.put("ON", Province.ON); //$NON-NLS-1$
		regionMap.put("PE", Province.PE); //$NON-NLS-1$
		regionMap.put("QC", Province.QC); //$NON-NLS-1$
		regionMap.put("SK", Province.SK); //$NON-NLS-1$
		regionMap.put("YT", Province.YT); //$NON-NLS-1$
	}
	
	protected Map<String, Province> getRegionMap() {
		return regionMap;
	}
}
