package com.intuit.sb.payroll.capability.workerpayments;

import java.util.List;
import java.util.Map;

import com.intuit.sb.payroll.entity.model.Employer;
import com.intuit.sb.payroll.entity.model.PayrollItem;
import com.intuit.sb.payroll.entity.model.PayrollRun;
import com.intuit.sb.payroll.entity.model.Worker;
import com.intuit.sb.payroll.entity.workerpayments.CompanyAdjustmentTotals;
import com.intuit.sb.payroll.entity.workerpayments.WorkerTotals;

public class AdjustmentRequest {
	private AdjustmentTrigger adjustmentTrigger;
	private PayrollRun payrollRun;
	private Employer employer;
	private List<Worker> affectedWorkers;
	private CompanyAdjustmentTotals companyTotals;
	private WorkerTotals workerTotals;
	private Map<String, PayrollItem> payrollItemMap;
	
	public AdjustmentRequest() {}
	
	public void setAdjustmentTrigger(AdjustmentTrigger adjustmentTrigger) {
		this.adjustmentTrigger = adjustmentTrigger;
	}

	public AdjustmentTrigger getAdjustmentTrigger() {
		return adjustmentTrigger;
	}

	public PayrollRun getPayrollRun() {
		return payrollRun;
	}
	public void setPayrollRun(PayrollRun payrollRun) {
		this.payrollRun = payrollRun;
	}
	public Employer getEmployer() {
		return employer;
	}
	public void setEmployer(Employer employer) {
		this.employer = employer;
	}
	public WorkerTotals getWorkerTotals() {
		return workerTotals;
	}
	public void setWorkerTotals(WorkerTotals workerTotals) {
		this.workerTotals = workerTotals;
	}

	public void setCompanyTotals(CompanyAdjustmentTotals companyTotals) {
		this.companyTotals = companyTotals;
	}

	public CompanyAdjustmentTotals getCompanyTotals() {
		return companyTotals;
	}

	public void setPayrollItemMap(Map<String, PayrollItem> payrollItemMap) {
		this.payrollItemMap = payrollItemMap;
	}

	public Map<String, PayrollItem> getPayrollItemMap() {
		return payrollItemMap;
	}

	public void setAffectedWorkers(List<Worker> affectedWorkers) {
		this.affectedWorkers = affectedWorkers;
	}

	public List<Worker> getAffectedWorkers() {
		return affectedWorkers;
	}
	
	
}
