package com.intuit.sb.payroll.capability.workerpayments.impl.calcengine;

import java.util.MissingResourceException;

import com.intuit.sb.payroll.common.i18n.LocaleGuru;

@SuppressWarnings("nls")
public class CalcEngineResources {
	private static final String BUNDLE_NAME = "com.intuit.sb.payroll.capability.workerpayments.calcengine-resources"; //$NON-NLS-1$

	private CalcEngineResources() {
	}

	public static String getString(String key) {
		try {
			 return LocaleGuru.getInstance().getString(BUNDLE_NAME, key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
