package com.intuit.sb.payroll.capability.workerpayments.impl.calcengine;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;

import org.jboss.annotation.security.SecurityDomain;

/**
 * Adapter for QBOE paycheck calculation engine to adapt it to the payroll
 * engine paycheck calculation framework.
 */
@Stateless(name = "PaycheckCalculator")
@SecurityDomain("BHPIAM")
@RolesAllowed( { "Authenticated" })
public class QBOEPaycheckCalculatorBean extends QBOEPaycheckCalculatorBeanImpl {
	
}
