
    
    
    
--
-- remove synonyms from database
--
DECLARE
   	synonym_exists PLS_INTEGER;
  	BEGIN
		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PAYCHECK';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PAYCHECK"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'LAW';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "LAW"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'WORKLOCATION';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "WORKLOCATION"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'EMPLOYER';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "EMPLOYER"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PAYROLLRUN';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PAYROLLRUN"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'INDUSTRYTYPE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "INDUSTRYTYPE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'AGENCY';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "AGENCY"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'LEGALSTRUCTURE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "LEGALSTRUCTURE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PAYROLLSCHEDULE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PAYROLLSCHEDULE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'EMPLOYERCONTACTPERSON';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "EMPLOYERCONTACTPERSON"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'EMPLOYERID';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "EMPLOYERID"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'EMPLOYERADJUSTMENT';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "EMPLOYERADJUSTMENT"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'BANKACCOUNT';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "BANKACCOUNT"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'WORKERLIABILITYADJLINEITEM';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "WORKERLIABILITYADJLINEITEM"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'CONTACTPERSON';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "CONTACTPERSON"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'EMPLOYMENTPERIOD';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "EMPLOYMENTPERIOD"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'AGENCYIDTYPE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "AGENCYIDTYPE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PAYROLLITEMDTL';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PAYROLLITEMDTL"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'COMPLIANCEDOC';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "COMPLIANCEDOC"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PAYCHECKLINEITEM';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PAYCHECKLINEITEM"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'JURISDICTION';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "JURISDICTION"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'WORKER';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "WORKER"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'BENEFITSVC';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "BENEFITSVC"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'DISABILITYINSDOCDTL';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "DISABILITYINSDOCDTL"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PAYROLLITEM';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PAYROLLITEM"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'EMPLOYERCOMPLIANCEDOCDTL';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "EMPLOYERCOMPLIANCEDOCDTL"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'TASK';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "TASK"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'WORKERLIABILITYADJUSTMENT';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "WORKERLIABILITYADJUSTMENT"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'EMPLOYERADJLINEITEM';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "EMPLOYERADJLINEITEM"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTDDATUM';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTDDATUM"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'WORKERCOMPLIANCEDOCDTL';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "WORKERCOMPLIANCEDOCDTL"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'BENEFITPROVIDER';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "BENEFITPROVIDER"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'UNEMPLOYMENTINSDOCDTL';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "UNEMPLOYMENTINSDOCDTL"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'WORKLOCATIONBENEFITSERVICE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "WORKLOCATIONBENEFITSERVICE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'CONTACTPERSONWORKLOCATION';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "CONTACTPERSONWORKLOCATION"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'HIBERNATE_SEQUENCE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "HIBERNATE_SEQUENCE"';
  		END IF;
  	END;
/

    
    -- drop shared table columns (if any added)
       
    
    -- drop tables
    

    
 
    
--
-- drop system synonyms
--
DECLARE
   	synonym_exists PLS_INTEGER;
  	BEGIN
  		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'SBCORE_VPD_TABLE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "SBCORE_VPD_TABLE"';
  		END IF;

  		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PROJECT_VERSIONS_TABLE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PROJECT_VERSIONS_TABLE"';
  		END IF;

  		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'SBCORE_VPD_SEQ';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "SBCORE_VPD_SEQ"';
  		END IF;

  	END;
/
     
    