package com.intuit.sb.payroll.notification.template;

public class RunPayrollReminderTemplate extends GenericEmailTemplate implements EmailTemplate
{
	// These are the names of the attributes/variables defined in the template
	// before using this template to send mail, the properties should be set
	
	public static final String PRIMARY_CONTACT_NAME = "PrimaryContactName";
	public static final String PRIMARY_CONTACT_EMAIL = "PrimaryContactEmail";
	public static final String PAY_PERIOD_STARTDATE  = "PayPeriodStartDate";
	public static final String PAY_PERIOD_ENDDATE    = "PayPeriodEndDate";
	public static final String PAYROLL_RUN_DATE_MINUS_1 = "PayrollRunDateMinus1";
	public static final String PAYROLL_RUN_DATE_MINUS_2 = "PayrollRunDateMinus2";
	public static final String SEND_DATE                = "SentDate";
	
	public String templateName = "RunPayrollReminder";
	
	public RunPayrollReminderTemplate(){
		super.setTemplateName(templateName);
	}
}
