package com.intuit.sb.payroll.rules;

public class RulesExplanation {

	private Long id; //the UniqueId of the entity for which this explanation is attached to
	
	private String explanationDetail; //explanation of the reason why the rule is applied

	public String getExplanationDetail() {
		return explanationDetail;
	}

	public void setExplanationDetail(String explanationDetail) {
		this.explanationDetail = explanationDetail;
	}

	//default contructor
	public RulesExplanation() {
	}
	
	public RulesExplanation(Long id) {
		super();
		this.id = id;
	}

	public RulesExplanation(Long id, String explanationDetail) {
		super();
		this.id = id;
		this.explanationDetail = explanationDetail;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
}
