package com.intuit.sb.payroll.rules.util;

import java.io.Serializable;


/**
 * Class used to hold boolean results for Rules Engine evaluation. We use the flag evaluated
 * to ensure that we were evaluated by the Rules Engine and we are not getting defaults as bogus 
 * results.
 * 
 */
public class BooleanResultHolder implements Serializable
{
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 6531422056743564040L;
	
	private boolean evaluated = false;    
    private boolean result = false;
    
    public boolean isEvaluated()
    {
        return evaluated;
    }
    
    public void setEvaluated(boolean evaluated)
    {
        this.evaluated = evaluated;
    }
    
    public boolean isResult()
    {
        return result;
    }
    
    public void setResult(boolean result)
    {
        this.result = result;
    }

}
