package com.intuit.sb.payroll.capability.pts.notification.mapper;

import com.intuit.sb.payroll.entity.model.AgencyEnum;

public class PTSAgencyMapper {

	public static AgencyEnum mapAgency(
			com.intuit.sb.payroll.capability.pts.adapter.dtos.AgencyEnum agency) {
		if (agency.equals(com.intuit.sb.payroll.capability.pts.adapter.dtos.AgencyEnum.IRS)){
			return AgencyEnum.US_IRS;
		}else if (agency.equals(com.intuit.sb.payroll.capability.pts.adapter.dtos.AgencyEnum.CAEDD)){
			return AgencyEnum.CA_EDD;
		}
		return null;
	}

	/**
	 * Maps the input PTS Agency Enum (coming in as a String attribute) to PPS type Agency Enum
	 * @param agency
	 * @return
	 */
	public static AgencyEnum mapAgency(String agency) {
		if (agency == null || agency.trim().length() == 0) {
			return null;
		}
		if (agency.equals(com.intuit.sb.payroll.capability.pts.adapter.dtos.AgencyEnum.IRS.toString())){
			return AgencyEnum.US_IRS;
		}else if (agency.equals(com.intuit.sb.payroll.capability.pts.adapter.dtos.AgencyEnum.CAEDD.toString())){
			return AgencyEnum.CA_EDD;
		}
		return null;
	}
}
