package com.intuit.sb.payroll.capability.pts.statehandler;

import java.util.ArrayList;
import java.util.List;

import com.intuit.sb.payroll.capability.pts.notification.PTSNotificationException;
import com.intuit.sb.payroll.capability.pts.notification.PTSNotificationRequest;
import com.intuit.sb.payroll.pts.entity.PTSEmployer;

public abstract class StatusChangeWorker {
	
	protected List<Object> statusTypeChange = null;
	
	public StatusChangeWorker(){
		statusTypeChange = new ArrayList<Object>();
	}
	
	public List<Object> getStatusTypes(){
		return statusTypeChange;
	}
	
	public abstract void updateStatus(PTSEmployer ptsEmployer, PTSNotificationRequest ptsNotification) throws PTSNotificationException;
}