package com.intuit.sb.payroll.capability.common;

import java.util.ArrayList;
import java.util.List;

/**
*
* $Author$
* $Revision$
* $DateTime$
*
*/
public class RowData {
	private List<NameValuePair> nameValuePairs = new ArrayList<NameValuePair>();

	public List<NameValuePair> getNameValuePairs() {
		return nameValuePairs;
	}

	public void setNameValuePairs(List<NameValuePair> nameValuePairs) {
		this.nameValuePairs = nameValuePairs;
	}
	
	public void addNameValuePair(NameValuePair nameValuePairElement) {
		nameValuePairs.add(nameValuePairElement);
	}
	
	public void removeNameValuePair(NameValuePair nameValuePairElement) {
		nameValuePairs.remove(nameValuePairElement);
	}
	
	public void removeAllNameValuePairs() {
		nameValuePairs.clear();
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((nameValuePairs == null) ? 0 : nameValuePairs.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RowData other = (RowData) obj;
		if (nameValuePairs == null) {
			if (other.nameValuePairs != null)
				return false;
		} else if (!nameValuePairs.equals(other.nameValuePairs))
			return false;
		return true;
	}
	
    /**
     * Default toString method.
     */
    @Override
    public String toString()
    {
        StringBuilder str = new StringBuilder();
        str.append("\n<ROW>\n");
        for (NameValuePair nameValuePair : nameValuePairs) {
	        str.append("\t" + nameValuePair.toString() + "\n");
        }
        str.append("</ROW>\n");
        return str.toString();
    }
	
}
