package com.intuit.sb.payroll.services.common;

import java.io.Serializable;

import com.intuit.sb.payroll.services.worker.Worker;

/**
 * Response DTO from updating the employer's work locations
 */
public class UpdateWorkLocationsResponse implements Serializable {

	private static final long serialVersionUID = -3974083708732141516L;
	
	private Worker[] workers;
	private WorkLocation[] workLocations;
	
	public Worker[] getWorkers() {
		return workers;
	}
	
	public void setWorkers(Worker[] workers) {
		this.workers = workers;
	}
	
	public WorkLocation[] getWorkLocations() {
		return workLocations;
	}
	
	public void setWorkLocations(WorkLocation[] workLocations) {
		this.workLocations = workLocations;
	}
}
