package com.intuit.sb.payroll.services.employer;

import java.io.Serializable;

import com.intuit.sb.payroll.services.common.ObjectHandle;

public class PrimaryPrincipal implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8247052795156946644L;

	private String firstName;
	private String lastName;
	private String middleName;
	private String title;
	private String phoneNumber;
	private String phoneExtn;
	private String email;
	private boolean locked;
	
	private ObjectHandle objectHandle;
	
	/**
	 * @return the firstName
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * @param firstName the firstName to set
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * @return the lastName
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * @param lastName the lastName to set
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	/**
	 * @return the middleName
	 */
	public String getMiddleName() {
		return middleName;
	}
	/**
	 * @param middleName the middleName to set
	 */
	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}
	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * @param title the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	/**
	 * @return the phoneNumber
	 */
	public String getPhoneNumber() {
		return phoneNumber;
	}
	/**
	 * @param phoneNumber the phoneNumber to set
	 */
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	/**
	 * @return the phoneExtn
	 */
	public String getPhoneExtn() {
		return phoneExtn;
	}
	/**
	 * @param phoneExtn the phoneExtn to set
	 */
	public void setPhoneExtn(String extn) {
		this.phoneExtn = extn;
	}
	/**
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}
	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	
	public void setObjectHandle(ObjectHandle objectHandle) {
		this.objectHandle = objectHandle;
	}

	public ObjectHandle getObjectHandle() {
		return objectHandle;
	}
	
	public boolean isLocked() {
		return locked;
	}
	public void setLocked(boolean locked) {
		this.locked = locked;
	}
}
