package com.intuit.sb.payroll.services.employer;

import java.io.Serializable;

import com.intuit.sb.payroll.services.common.SaveWorkLocationRequest;

/**
 * Request DTO for saving employer info
 */
public class SaveEmployerInfoRequest implements Serializable {
	private static final long serialVersionUID = -7310367480338017011L;

	private EmployerInfo employerInfo = null;
	private SaveWorkLocationRequest[] saveWorkLocationRequests = null;

	public EmployerInfo getEmployerInfo() {
		return employerInfo;
	}
	public void setEmployerInfo(EmployerInfo employerInfo) {
		this.employerInfo = employerInfo;
	}

	public SaveWorkLocationRequest[] getSaveWorkLocationRequests() {
		return saveWorkLocationRequests;
	}
	/**
	 * The work locations to save with the employer info.
	 * If null no changes are made to the employer's current work locations.
	 * @param saveWorkLocationRequests
	 */
	public void setSaveWorkLocationRequests(SaveWorkLocationRequest[] saveWorkLocationRequests) {
		this.saveWorkLocationRequests = saveWorkLocationRequests;
	}
}
