package com.intuit.sb.payroll.services.common.impl;

import org.testng.annotations.Test;

import com.intuit.sb.payroll.ValidationException;

public class CommonValidatorsTest {
	
	@Test
	public void testValidId() throws Exception {
		CommonValidators.validateId(new Long("1"));
		CommonValidators.validateId(new Long("99999"));
		CommonValidators.validateId(new Long("0001"));
	}
	
	@Test(expectedExceptions=ValidationException.class)
	public void testNullId() throws Exception {
		CommonValidators.validateId(null);
	}
}
