package com.intuit.sb.payroll.services.employer;

import org.testng.annotations.Test;

import com.intuit.sb.payroll.ServiceFailureException;
import com.intuit.sb.payroll.ValidationException;
import com.intuit.sb.payroll.services.taxes.EmployerTaxIdInfo;

public class FederalEINValidationTest extends EmployerServiceTestBase {
	
	@Test(expectedExceptions = ValidationException.class)
	public void testFederalEINValidation() throws ValidationException, ServiceFailureException{
		
			EmployerTaxIdInfo[] taxIdInfos = null;
				taxIdInfos = sEmployerTaxSettingsService.getEmployerTaxIDs();
			//assertEmployerTaxIdInfo(taxIdInfos);
			for (EmployerTaxIdInfo employerTaxIdInfo : taxIdInfos) {
				if (employerTaxIdInfo.getTaxAgency().name.contains("US_IRS")) {
					employerTaxIdInfo.setTaxId("172222222");				
					break;
				}
			}
			sEmployerTaxSettingsService.updateEmployerTaxIDs(taxIdInfos);
	}

}
