package com.intuit.sb.payroll.task;

import java.util.Date;

import org.testng.annotations.BeforeMethod;

import com.intuit.sb.payroll.capability.common.BasicTestBase;

/**
 * <P>The <CODE>TaskServiceTestBase</CODE> class is the base class for tests against the 
 * Payroll Engine TaskService API. 
 * 
 * $Author$
 * $Revision$
 * $DateTime$
 *
 */
public class TaskServiceTestBase extends BasicTestBase 
{
	protected TaskService taskService;
	
    @BeforeMethod
    public void setUpTaskService()
    {
    	taskService = qaBootstrap.getEjbFromClass(TaskService.class);
    }
    
    protected Task createNonScheduledTask(Date dueDate)
    {
    	Task task = new Task();
    	task.setName("Tast NonScheduled Task");
    	task.setType(TaskType.NON_SCHEDULED);
    	task.setDescription("Sample non scheduled task");
    	task.setDueDate(dueDate);
    	return task;
    }

}
