package com.intuit.sb.payroll.entity.pto;

import javax.ejb.Local;

import com.intuit.sb.payroll.entity.eao.GenericEAO;
import com.intuit.sb.payroll.entity.model.PaidTimeOff;
import com.intuit.sb.payroll.entity.model.PaidTimeOffTypeEnum;

@Local
public interface PaidTimeOffEAO extends GenericEAO<PaidTimeOff> {

	@SuppressWarnings("nls")
	public static final String JNDI_NAME =  "PaidTimeOffEAO/local";

	/**
	 * Find a PaidTimeOff of a specific compensation type.
	 * @param compensationType the type of the PaidTimeOff to find.
	 * @return the PaidTimeOff entity.
	 */
	public PaidTimeOff findPaidTimeOff(PaidTimeOffTypeEnum paidTimeOffType);
}
