package com.intuit.sb.payroll.entity.taxauthority;

import javax.ejb.Local;

import com.intuit.sb.payroll.entity.eao.GenericEAO;
import com.intuit.sb.payroll.entity.model.Jurisdiction;

@Local
public interface JurisdictionEAO extends GenericEAO<Jurisdiction> {
	
	@SuppressWarnings("nls")
	public static final String JNDI_NAME =  "JurisdictionEAO/local";
	
	/**
	 * Retrieves the Jurisdiction to which the Law refers to.
	 * 
	 * @param lawId
	 * @return
	 */
	public Jurisdiction findJurisdictionForLawId(String lawId);
}
