package com.intuit.sb.payroll.qa.services.employer;

import org.testng.annotations.Test;

/**
 * <P>The <CODE>PTSNotificationAdapterNegativeTests</CODE> class contains tests that cover all the negative and edge case scenario's for all the incoming
 * notification.updateCompanyActivationStatus() is single method that handles all the incoming notifications from the PSP
 * $Author: kvenkatraman $
 */


public class PTSNotificationAdapterNegativeTest {
	
	
	// test passing null object to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullPtsNotificationDTO(){
		
	}
	
	// test passing PtsNotificationDTO having null sourceCompanyId to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullSourceCompanyIdInPtsNotificationDTO(){
		
	}
	
	// test passing PtsNotificationDTO having mismatching sourceCompanyId to updateCompanyActivationStatus() call
	// Mismatching sourceCompanyId = sourceCompanyId not found in Gemini
	@Test(enabled=false)
	public void testWithMismatchingSourceCompanyIdInPtsNotificationDTO(){
		
	}
	
	
	// test passing PtsNotificationDTO having empty sourceCompanyId to updateCompanyActivationStatus() call
	//sourceCompanyId =""
	@Test(enabled=false)
	public void testWithEmptySourceCompanyIdInPtsNotificationDTO(){
		
	}
	
	// test passing PtsNotificationDTO having blank sourceCompanyId to updateCompanyActivationStatus() call
	//sourceCompanyId ="          "
	@Test(enabled=false)
	public void testWithBlankSourceCompanyIdInPtsNotificationDTO(){
		
	}
	
	// test passing PtsNotificationDTO having null DatatimeDTO to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullDatetimeDTOInPtsNotificationDTO(){
		
	}
	
	// test passing PtsNotificationDTO having null  NotificationDTO to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullMessageDTOInPtsNotificationDTO(){
		
	}
	
	// test passing PtsNotificationDTO having null message description in  MessageTDO to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullMessageDescriptionInMessageDTO(){
		
	}
	
	// test passing PtsNotificationDTO having empty message description in  MessageTDO to updateCompanyActivationStatus() call
	//empty message decription = ""
	@Test(enabled=false)
	public void testWithEmptyMessageDescriptionInMessageDTO(){
		
	}
	
	// test passing PtsNotificationDTO having blank message description in  MessageTDO to updateCompanyActivationStatus() call
	//empty message decription = "          "
	@Test(enabled=false)
	public void testWithBlankMessageDescriptionInMessageDTO(){
		
	}
	
	// test passing PtsNotificationDTO having null message id in  MessageTDO to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullMessageIdInMessageDTO(){
		
	}
	
	// test passing PtsNotificationDTO having empty message id in  MessageTDO to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithEmptyMessageIdInMessageDTO(){
		
	}
	
	// test passing PtsNotificationDTO having blank message id in  MessageTDO to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithBlankMessageIdInMessageDTO(){
		
	}
	
	
	// test passing PtsNotificationDTO having null  NotificationAttribute to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullNotificationAttributeInPtsNotificationDTO(){
		
	}
	
	// test passing PtsNotificationDTO without Notification Type to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullNotificationType(){
		
	}
	
	// test passing PtsNotificationDTO without new Notification Status to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullNewNotificationStatus(){
		
	}
	
	// test passing PtsNotificationDTO without old Notification Status to updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithNullOldNotificationStatus(){
		
	}
	
	// test passing PtsNotificationDTO with mismatching Notification Type and Notification Status updateCompanyActivationStatus() call
	@Test(enabled=false)
	public void testWithMismatchingNotificatioTypeAndStatus(){
		
	}

}
