/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.GeneratorException.java
 * 
 * Created: Aug 16, 2011 5:23:06 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator;

import com.intuit.sb.services.query.validator.ValidatorException;

/**
 *
 * @author gkesler
 */
public class GeneratorException extends ValidatorException {

    /**
     * Creates a new instance of <code>GeneratorException</code> without detail message.
     */
    public GeneratorException() {
    }

    /**
     * Constructs an instance of <code>GeneratorException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public GeneratorException(String msg) {
        super(msg);
    }
    
    public GeneratorException (Throwable cause) {
        super(cause);
    }
    
    public GeneratorException (String msg, Throwable cause) {
        super(msg, cause);
    }
}
