/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.tuple.ContainsTuple.java
 * 
 * Created: Nov 14, 2011 6:49:58 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

/**
 *
 * @author gkesler
 */
public class ContainsTuple extends AbstractFilterTuple<String> {
    protected Float distance;

    public Float getDistance() {
        return distance;
    }

    public void setDistance(Float distance) {
        this.distance = distance;
    }

    public <T> T accept(TupleVisitor<T> visitor, T data) {
        return visitor.visit(this, data);
    }

    @Override
    public String toString() {
        return getClass().getSimpleName() + "{" + "path=" + path + ", value=" + value + ", distance=" + distance + '}';
    }
}
