/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.DescTuple.java
 * 
 * Created: Aug 16, 2011 11:51:27 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

import com.intuit.sb.services.query.validator.context.Property;

/**
 *
 * @author gkesler
 */
public class DescTuple extends OrderByTuple {
    public DescTuple (Property path) {
        super(path);
    }
    
    public <T> T accept(TupleVisitor<T> visitor, T data) {
        return visitor.visit(this, data);
    }
}
