/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.validator.context.AbstractRootContextFactory.java
 * 
 * Created: Nov 10, 2011 11:44:52 AM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator.context;

import com.intuit.sb.cdm.v2.CdmBase;
import java.util.Map;

/**
 *
 * @author gkesler
 */
public abstract class AbstractRootContextFactory implements ContextFactory {
    public RootContext createContext(String contextName, Map<String, Object> props) 
            throws InvalidContextException {
        return new FirstClassContext(contextName, props, getMetadataProviderFactory());
    }
    
    protected abstract MetadataProviderFactory getMetadataProviderFactory ();
}
