/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.validator.context.RootContext.java
 * 
 * Created: Aug 15, 2011 11:26:00 AM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator.context;

/**
 *
 * @author gkesler
 */
public interface RootContext extends Context {
    /**
     * 
     * @param propName
     * @return 
     */
    Object getContextProperty (String propName);
    /**
     * Obtains a Class object for the given context name
     * 
     * @param contextName name of the context
     * @return class for the specified context
     */
    Class getContextClass (String contextName);
}
