/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.datasync.query.ws.rs.ConfiguratorProcessor.java
 * 
 * Created: Nov 30, 2011 12:18:08 PM
 * Author: gkesler
 */
package com.intuit.sb.datasync.query.ws.rs;

import com.intuit.sb.services.query.SimpleQuery;
import java.lang.annotation.Annotation;
import javax.ws.rs.core.MediaType;

/**
 *
 * @author gkesler
 */
public interface ConfiguratorProcessor<A extends Annotation> {
    /**
     * 
     * @param target
     * @param annotations
     * @param mediaType 
     */
    void configure (SimpleQuery target, A configurator, Annotation[] annotations, MediaType mediaType);
}
