package com.intuit.sbfinance.json;

import org.codehaus.jackson.map.ser.BeanPropertyFilter;
import org.codehaus.jackson.map.ser.FilterProvider;

/**
 * Add a custom provider to point to our serialization object filter
 * 
 * @author yujungs700
 *
 */
public class CustomFilterProvider extends FilterProvider {

    @Override
    public BeanPropertyFilter findFilter(Object filterId) {
        if (filterId.equals("IntuitServiceV3ResponseFilter")) {
            return new JaxbElementPropertyFilter();
        }
        return null;
    }

}
