package com.intuit.sb.payroll.capability.ppe;

import java.util.ArrayList;

import javax.ejb.Local;

import com.intuit.sb.payroll.entity.model.Employer;
import com.intuit.sb.payroll.entity.model.Jurisdiction;

/**
 * The external interface of the Payroll Processing Engine. 
 */

@Local
public interface PayrollProcessingEngine 
{
	public static final String JNDI_NAME =  "PayrollProcessingEngine/local";

	public ArrayList <AgencyView> getEmployerAgencyDetails(Employer employer, Jurisdiction[] jurisdictions);

}
