package com.intuit.sb.payroll.capability.pts.adapter.util;

import com.intuit.sbd.payroll.psp.adapters.gemini.AddressAdapterDTO;
import com.intuit.sbd.payroll.psp.adapters.gemini.DateAdapterDTO;

public class PTSLoggerUtil {
    public static StringBuffer logAddressAdapterDTO(AddressAdapterDTO addressAdapterDTO, String name){
        StringBuffer addressInfoStrBuffer = new StringBuffer();

        if(addressAdapterDTO == null){
            addressInfoStrBuffer
            .append("\t ").append( name ).append("is null");
            return addressInfoStrBuffer;
        }

        addressInfoStrBuffer
        .append("\t " + "AddressLine1           | "+addressAdapterDTO.getAddressLine1()).append("\n")
        .append("\t " + "AddressLine2           | "+addressAdapterDTO.getAddressLine2()).append("\n")
        .append("\t " + "AddressLine3           | "+addressAdapterDTO.getAddressLine3()).append("\n")
        .append("\t " + "City                   | "+addressAdapterDTO.getCity()).append("\n")
        .append("\t " + "Country                | "+addressAdapterDTO.getCountry()).append("\n")
        .append("\t " + "State                  | "+addressAdapterDTO.getState()).append("\n")
        .append("\t " + "Zipcode                | "+addressAdapterDTO.getZipCode()).append("\n")
        .append("\t " + "ZipCodeExtension       | "+addressAdapterDTO.getZipCodeExtension()).append("\n");

        return addressInfoStrBuffer;
    }

    public static StringBuffer logDateInfo(DateAdapterDTO dateAdapterDTO, String dateName){
        StringBuffer dateStrBuffer = new StringBuffer();

        if(dateAdapterDTO == null){
            dateStrBuffer
            .append("\t ").append(dateName).append(" is null");
            return dateStrBuffer;
        }
        dateStrBuffer
        .append(dateName)
        .append(dateAdapterDTO.getMonth()).append("/")
        .append(dateAdapterDTO.getDay()).append("/")
        .append(dateAdapterDTO.getYear()).append("\n");
        return dateStrBuffer;
    }
}
