package com.intuit.sb.payroll.capability.pts.notification.mapper;

import com.intuit.sb.payroll.capability.pts.adapter.dtos.NotificationTypeEnum;
import com.intuit.sb.payroll.capability.pts.notification.PTSNotificationTypeEnum;

public class PTSNotificationTypeEnumMapper {

	public static PTSNotificationTypeEnum mapPTSNotficationType(
			NotificationTypeEnum notificationType) {
		if (notificationType == null){
			return null;
		}
		switch (notificationType){
			case ACTIVATION_NOTIFICATION:
				return PTSNotificationTypeEnum.ACTIVATION_NOTIFICATION;
			case ACH_NOTIFICATION:
				return PTSNotificationTypeEnum.ACH_NOTIFICATION;
			case EFTPS_NOTIFICATION:
				return PTSNotificationTypeEnum.EFTPS_ENROLLMENT_NOTIFICATION;
			case RAA_NOTIFICATION:
				return PTSNotificationTypeEnum.RAA_NOTIFICATION;
			case RAF_NOTIFICATION:
				return PTSNotificationTypeEnum.RAF_NOTIFICATION;
			case ACTIVATION_ITEM_BANK_ACCOUNT_VERIFY:
				return PTSNotificationTypeEnum.BANK_ACCOUNT_NOTIFICATION;
			case ACTIVATION_ITEM_EMPLOYEE_INFO:
				return PTSNotificationTypeEnum.EMPLOYEE_ACTIVATION_NOTIFICATION;
			case ACTIVATION_ITEM_HISTORICAL_PAYROLL_DATA:
				return PTSNotificationTypeEnum.HISTORICAL_PAYROLL_DATA_NOTIFICATION;
			case ACTIVATION_ITEM_STATE_ID_RECEIVED:
				return PTSNotificationTypeEnum.STATE_ID_RECVD_NOTIFICATION;
			case ACTIVATION_ITEM_TAX_AUDIT:
				return PTSNotificationTypeEnum.TAX_AUDIT_NOTIFICATION;
			case ACTIVATION_ITEM_UNEMPLOYMENT_RATE:
				return PTSNotificationTypeEnum.UNEMPLOYMENT_RATE_NOTIFICATION;
			case STATE_ID_MODIFIED :
				return PTSNotificationTypeEnum.STATE_ID_MODIFIED;
			default:
				return null;
		}
	}
}
