package com.intuit.sb.payroll.capability.worker.impl;

import com.intuit.sb.payroll.entity.EntityActivity;
import com.intuit.sb.payroll.entity.model.Employee;
import com.intuit.sb.payroll.entity.model.Task;
import com.intuit.sb.payroll.entity.model.TaskStatusEnum;

//TODO Move this to Entity layer once Tasks goes into common-employee
//TODO rename EmployeeEntityActivity
public class WorkerEntityActivity implements EntityActivity<Employee> {

	public void entityCreationAsync(Employee employee) {
		performTaskUpdateOperation(employee);
	}

	public void entityCreationSync(Employee employee) {
	}

	public void entityDeleteAsync() {
		performTaskUpdateForEmployeeDelete();
	}

	

	public void entityDeleteSync() {
	}

	public void entityUpdateAsync(Employee employee) {
		performTaskUpdateOperation(employee);
	}

	public void entityUpdateSync(Employee employee) {
	}
	
	private void performTaskUpdateOperation(Employee employee){
		// Check if setup Worker Task is already created
		Task workerSetupTask = null;//getWorkerSetupTask();
		if (workerSetupTask == null){
			// LOg it, THIS SHOULD NEVER HAPPEN and create one
			return;
		}
		
		// check if the task is completed
		if (workerSetupTask.getStatus().equals(TaskStatusEnum.COMPLETED)){
			// if task already complete, no op just return back
			return;
		}
		else{
			//Signal taskManager to complete this task
//			taskManager.signalEvent(new WorkerComponentBean(), TaskStatusEnum.COMPLETED);

			// FIXME check if worker is payroll Ready
			// if (workerComp.isWorkerReadyToPay((Worker)employee)){
		}
	}
	
	private void performTaskUpdateForEmployeeDelete() {
		//TODO later
		// Check is all employees are in-active
		// Reset the Complete task to new
	}

}
