package com.intuit.sb.payroll.reports;

import java.io.Serializable;

import com.intuit.sb.payroll.services.common.ObjectHandle;

/*
 * Defines the response to a report request
 */
public class ReportResponse implements Serializable {
	
	private static final long serialVersionUID = 4806859730839656927L;
	private ObjectHandle objectHandle;
	private String xmlData;
	
	public ObjectHandle getObjectHandle() {
		return objectHandle;
	}

	public void setObjectHandle(ObjectHandle objectHandle) {
		this.objectHandle = objectHandle;
	}

	public String getXmlData() {
		return xmlData;
	}

	public void setXmlData(String xmlData) {
		this.xmlData = xmlData;
	}

	
	/**
	 * Minimal constructor (required by LCDS)
	 */
	public ReportResponse() {
	}
	
	/**
	 * Constructs a ReportsResponse.
	 * @param objectHandle
	 * @param xmlData
	 */
	public ReportResponse(ObjectHandle objectHandle, String xmlData) {
		this.objectHandle = objectHandle;
		this.xmlData = xmlData;
	}

}
