package com.intuit.sb.payroll.services.employer;
import com.intuit.sb.payroll.services.common.EnumBase;

public class EmployerContactType extends EnumBase {
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8469298548479515591L;
	public final static EmployerContactType PrimaryContact = new EmployerContactType("PRIMARY_CONTACT", 0);
	public final static EmployerContactType SecondaryContact = new EmployerContactType("SECONDARY_CONTACT", 1);
	public final static EmployerContactType PayrollAdminContact = new EmployerContactType("PAYROLLADMIN_CONTACT", 2);
	public final static EmployerContactType PrimaryPrincipal = new EmployerContactType("PRIMARY_PRINCIPAL", 3);
	
	
	private EmployerContactType(String name, int ordinal) {
		super(name, ordinal);
	}
	
	/**
	 * Public no-arg constructor is required by LCDS. Without it, you get an
	 * exception at runtime with the following message: "Types must have a
	 * public, no arguments constructor". This should never be used by
	 * hand-written code.
	 * 
	 * @deprecated
	 */
	public EmployerContactType(){
		
	}
	
}
