package com.intuit.sb.payroll.services.workerpayments.impl;

import com.intuit.sb.payroll.ServiceFailureException;
import com.intuit.sb.payroll.ValidationException;

public class VoidPaychecksRequestValidator {

	/**
	 * Validate a voidPaychecksRequest passed to WorkerServer.voidPaychecks()
	 * @param voidPaychecksRequest
	 */
	public static void validate(Long[] paycheckIds) 
			throws ValidationException, ServiceFailureException {

		if (null == paycheckIds) {
			throw new ValidationException("paycheckIds list is null");
		}
		if (0 == paycheckIds.length) {
			throw new ValidationException("paycheckIds list is empty");
		}
		for (Long paycheckId : paycheckIds) {
			if (null == paycheckId) {
				throw new ValidationException("paycheckId is null");
			}
		}
    }
}
