package com.intuit.sb.payroll.entity.taxes;

import javax.ejb.Local;

import com.intuit.sb.payroll.entity.eao.GenericEAO;
import com.intuit.sb.payroll.entity.model.Agency;
import com.intuit.sb.payroll.entity.model.AgencyEnum;

@Local
public interface AgencyEAO extends GenericEAO<Agency> {
	@SuppressWarnings("nls")
	public static final String JNDI_NAME = "AgencyEAO/local";

	/**
	 * Retrieves an Agency by their Enum value.
	 * 
	 * @param agencyKey
	 * @return
	 */
	public Agency findAgencyByKey(AgencyEnum agencyKey);
}
