package com.intuit.sb.payroll.pts.entity.impl;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;

import org.jboss.annotation.security.SecurityDomain;

import com.intuit.sb.payroll.pts.entity.GenericStateEjbEAO;
import com.intuit.sb.payroll.pts.entity.RAFEnrollmentState;
import com.intuit.sb.payroll.pts.entity.RAFEnrollmentStateEAO;

@Stateless(name = "RAFEnrollmentStateEAO")
@TransactionManagement(TransactionManagementType.CONTAINER)
// Use CMT
// Clients must start the Txn so multiple EAO calls in a single request are within a single txn
@TransactionAttribute(TransactionAttributeType.MANDATORY)
@SecurityDomain("BHPIAM")
@RolesAllowed( { "Authenticated" })
public class RAFEnrollmentStateEjbEAO  extends GenericStateEjbEAO<RAFEnrollmentState> implements RAFEnrollmentStateEAO {

}
