DECLARE
  	table_exists PLS_INTEGER;
  	column_exists PLS_INTEGER;
BEGIN
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'RAAENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "RAAENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EFTPSENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EFTPSENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'ACHENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "ACHENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'STATEIDMODIFIED';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "STATEIDMODIFIED" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'RAFENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "RAFENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'ACTIVATIONSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "ACTIVATIONSTATE" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'BANKACCOUNTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "BANKACCOUNTSTATE" CASCADE CONSTRAINTS';
	END IF;

END;
/
