
    
    
    
--
-- remove synonyms from database
--
DECLARE
   	synonym_exists PLS_INTEGER;
  	BEGIN
		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTSPAYROLLRUN';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTSPAYROLLRUN"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PPSPTSINTERACTION';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PPSPTSINTERACTION"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTSCONTACTPERSON';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTSCONTACTPERSON"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'TAKEHOMEWORKER';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "TAKEHOMEWORKER"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'NOTIFICATIONSTATUSENTITY';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "NOTIFICATIONSTATUSENTITY"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'TAKEHOMECOMPANY';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "TAKEHOMECOMPANY"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTSCANCELLEDPAYCHECK';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTSCANCELLEDPAYCHECK"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTSMESSAGE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTSMESSAGE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTSWORKFLOWSTATE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTSWORKFLOWSTATE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'TAXCREDIT';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "TAXCREDIT"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTSVOIDPAYROLLRESULT';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTSVOIDPAYROLLRESULT"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PTSEMPLOYER';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PTSEMPLOYER"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'TAXSERVICESTATE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "TAXSERVICESTATE"';
  		END IF;

		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'HIBERNATE_SEQUENCE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "HIBERNATE_SEQUENCE"';
  		END IF;
  	END;
/

    
    -- drop shared table columns (if any added)
       
    
    -- drop tables
    

    
 
    
--
-- drop system synonyms
--
DECLARE
   	synonym_exists PLS_INTEGER;
  	BEGIN
  		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'SBCORE_VPD_TABLE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "SBCORE_VPD_TABLE"';
  		END IF;

  		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'PROJECT_VERSIONS_TABLE';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "PROJECT_VERSIONS_TABLE"';
  		END IF;

  		
		SELECT COUNT(*) INTO synonym_exists
  		FROM "USER_SYNONYMS"
  		WHERE SYNONYM_NAME = 'SBCORE_VPD_SEQ';
  		IF synonym_exists > 0 THEN
    		EXECUTE IMMEDIATE 'DROP SYNONYM "SBCORE_VPD_SEQ"';
  		END IF;

  	END;
/
     
    