package com.intuit.sb.payroll.vpd;

import javax.ejb.Stateless;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.annotation.security.RolesAllowed;

import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.annotation.security.SecurityDomain;

@Stateless(name="SomeRemoteEAO")
@TransactionManagement(TransactionManagementType.CONTAINER) // Use CMT
@SecurityDomain("BHPIAM")
@RemoteBinding(jndiBinding="SimpleVpdBean")

public class SimpleVpdRemoteEjbEAO implements SimpleVpdRemoteEAO {
	
	@RolesAllowed("intuituser")
	public String findNemo()
	{
		return "Find Nemo";
	}
}
