package com.intuit.sb.payroll.util;

import java.util.List;

import com.intuit.sb.dpt.vpd.hibernate.test.IMockAuthPrincipal;
import com.intuit.sb.dpt.vpd.hibernate.test.MockAuthPrincipal;

public class PrincipalUtil 
{	
	public static String getRealmId() 
	{
	  String realmId = MockAuthPrincipal.getCurrent().getCurrentRealmId();
	  return realmId;
	}
	
    public static IMockAuthPrincipal setPrincipal(String userId, String realmId, List<String> realmList )
    {
    	IMockAuthPrincipal principal = MockAuthPrincipal.getInstance();
    	principal.setUserId(userId);
    	principal.setCurrentRealmId(realmId==null?null:realmId);
    	//principal.setRealmIds(realmList==null?null:realmList);
    	principal.setRealmIds(null);
    	MockAuthPrincipal.setCurrent(principal);

    	return principal;
    }

}
