package com.intuit.sb.payroll.employer;

import org.testng.Assert;
import org.testng.annotations.Test;

import com.intuit.sb.payroll.ServiceFailureException;
import com.intuit.sb.payroll.ValidationException;
import com.intuit.sb.payroll.services.TestInitializer;

@Test(groups = "serviceittests")
public class EmployerEmployerInfoTest extends TestInitializer {

	@Test
	public void testGetEmployerInfo()
	{
		try {
			employerService.getEmployerInfo();
		} catch (ServiceFailureException ex) {
			Assert.fail("service failure " + ex.getMessage());
		} catch (ValidationException ex) {
			Assert.fail("Validation failure " + ex.getMessage());
		}

	}
		
}
