/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.tuple.AndTuple.java
 * 
 * Created: Nov 14, 2011 6:02:59 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

/**
 *
 * @author gkesler
 */
public class AndTuple extends BinaryTuple {
    public <T> T accept(TupleVisitor<T> visitor, T data) {
        return visitor.visit(this, data);
    }

    public Precedence getPrecedence() {
        return Precedence.And;
    }
}
