/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.tuple.ConditionalTuple.java
 * 
 * Created: Nov 14, 2011 5:47:15 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

import java.util.Stack;

/**
 *
 * @author gkesler
 */
public interface ConditionalTuple extends ExpressionTuple {
    /**
     * 
     * @param tuples
     * @return 
     */
    ConditionalTuple popChildren (Stack<ExpressionTuple> tuples);
    /**
     * 
     * @param <T>
     * @param visitor
     * @param data
     * @return 
     */
    <T> T childrenAccept (TupleVisitor<T> visitor, T data);
}
