/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.OrderByTuple.java
 * 
 * Created: Aug 16, 2011 11:56:39 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

import com.intuit.sb.services.query.validator.context.Property;

/**
 *
 * @author gkesler
 */
public abstract class OrderByTuple implements Tuple {
    protected final Property path;

    protected OrderByTuple (Property path) {
        this.path = path;
    }
    
    public Property getPath () {
        return path;
    }

    @Override
    public String toString() {
        return getClass().getSimpleName() + "{" + "path=" + path + '}';
    }
}
