/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.TupleVisitor.java
 * 
 * Created: Aug 17, 2011 12:32:39 AM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

/**
 *
 * @author gkesler
 */
public interface TupleVisitor<T> {
    T visit (AndTuple tuple, T data);
    T visit (AscTuple tuple, T data);
    T visit (BetweenTuple tuple, T data);
    T visit (ContainsTuple tuple, T data);
    T visit (DescTuple tuple, T data);
    T visit (EqTuple tuple, T data);
    T visit (GtTuple tuple, T data);
    T visit (GteTuple tuple, T data);
    T visit (InTuple tuple, T data);
    T visit (IteratorTuple tuple, T data);
    T visit (LikeTuple tuple, T data);
    T visit (MaxResultsTuple tuple, T data);
    T visit (LtTuple tuple, T data);
    T visit (LteTuple tuple, T data);
    T visit (NEqTuple tuple, T data);
    T visit (NotTuple tuple, T data);
    T visit (OrTuple tuple, T data);
    T visit (StartPositionTuple tuple, T data);
}
