/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.validator.ValueValidator.java
 * 
 * Created: Aug 11, 2011 3:15:35 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator;

/**
 *
 * @author gkesler
 */
public interface ValueValidator {    
    /**
     * Validates the value to ensure that the string
     * representation could be converted to a value of a given type
     * 
     * @param value value string representation
     * @return <code>true</code> if the string contains correct value representation
     */
    boolean validate (Object value);
}
