/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.validator.context.ContextInfoFactory.java
 * 
 * Created: Aug 17, 2011 9:34:21 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator.context;

/**
 *
 * @author gkesler
 */
public interface MetadataProviderFactory {
    /**
     * Creates an instance of MetadataProvider
     * 
     * @param context       Context instance this info describes
     * @param contextType   type of the Context instance
     * @return              MetadataProvider instance for the given Context
     */
    MetadataProvider createMetadataProvider (Context context, Class contextType);
}
