/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.validator.context.PropertyVisitor.java
 * 
 * Created: Aug 17, 2011 5:07:06 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator.context;

/**
 *
 * @author gkesler
 */
public interface PropertyVisitor<T> {
    T visit (CollectionValueProperty property, T data);
    T visit (CompositeProperty property, T data);
    T visit (CustomFieldProperty property, T data);
    T visit (PersistentProperty property, T data);
    T visit (SingleValueProperty property, T data);
    T visit (WildcardProperty property, T data);
}
