/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.datasync.query.rest.SimpleQueryMode.java
 * 
 * Created: Nov 29, 2011 11:28:10 PM
 * Author: gkesler
 */
package com.intuit.sb.datasync.query.ws.rs.resteasy;

import com.intuit.sb.datasync.query.ws.rs.Configurator;
import com.intuit.sb.services.query.SimpleQuery;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import org.jboss.resteasy.annotations.StringParameterUnmarshallerBinder;

/**
 *
 * @author gkesler
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.PARAMETER)
@StringParameterUnmarshallerBinder(SimpleQueryParamUnmarshaller.class)
@Configurator(SyntaxModeProcessor.class)
public @interface SyntaxMode {
    SimpleQuery.SyntaxMode value();
}
